Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004505 [JEDI VCL] 00 JVCL Components minor always 2008-10-07 06:56 2008-10-26 05:21
Reporter michael_jedi View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0004505: JvValidateEdit allows entering DecimalSeparator more than once (with patch)
Description Steps to reproduce:
  - add new TJvaValidateEdit component onto a form
  - set format to dfFloat (or dfFloatGeneral, dfDecimal, dfPercent)
  - compile & run
  - now you are able to enter values like: '11,,,,0,00,11' and so on
Additional Information I have found out that in the source file of the component there is a check against it but it does not work correctly. This is now in the IsValidChar function (from JVCL334CompleteJCL1102-Build3072.zip):

 Result := (Pos(Key, FCheckChars) > 0) or
      ((Key = DecimalSeparator) and (Pos(DecimalSeparator, S) = 0)) or...

But this check should be:
  Result := ((Pos(Key, FCheckChars) > 0) and
      (((Key = DecimalSeparator) and (Pos(DecimalSeparator, S) = 0)) or (Key <> DecimalSeparator))) or...

I am attaching patch against 3.34 for this issues (corrected also for dfCurrency format)
Tags No tags attached.
Attached Files ? file icon JvValidateEdit.pas.diff [^] (1,466 bytes) 2008-10-07 06:56

- Relationships

-  Notes
(0014820)
obones (administrator)
2008-10-10 05:12

Ok, thanks for the patch.
Issue available for anyone to look at.
(0014909)
AHUser (developer)
2008-10-26 05:20

Thanks for the patch. Fixed in SVN

- Issue History
Date Modified Username Field Change
2008-10-07 06:56 michael_jedi New Issue
2008-10-07 06:56 michael_jedi File Added: JvValidateEdit.pas.diff
2008-10-10 05:12 obones Note Added: 0014820
2008-10-10 05:12 obones Status new => acknowledged
2008-10-26 05:20 AHUser Status acknowledged => resolved
2008-10-26 05:20 AHUser Fixed in Version => Daily / SVN
2008-10-26 05:20 AHUser Resolution open => fixed
2008-10-26 05:20 AHUser Assigned To => AHUser
2008-10-26 05:20 AHUser Note Added: 0014909


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker